Introduction

Introduction (Viewer story)
 Top Next
I started this program middle 90s, back then there was not any suitable program for my needs.
I needed some program to view quickly pictures what i have downloaded.

I know that there is huge amount of picture viewers at market today. Mainly this is my hobby to build my dream Viewer.
So i hope that you enjoy using this program as much as i enjoy making it.

There are no limitations, no time-outs, no nags, no adware,
no banner ads and no spyware.


Shortcuts

Keyboard Shortcuts
 Previous Top Next
Viewer 4.0 - Shortcuts for Main window

Up / Down | Selects image in file list and displays it. In folder/thumbnail view, it selects file/folder
Esc | Clears preview
Enter | Displays selected picture in full screen view
Alt+a | Adds selected picture(s) in to Favorites
Alt+v | Displays Favorites
Alt+s | Starts Slide Show -program
Alt+p | When two pictures are selected, then it shows them in Compare window
Shift+Ctrl+o | When selected file it makes Shell Open
Shift+Ctrl+e | When selected file it makes Shell Edit
Ctrl+b | Add folder in to shell toolbar
Ctrl+r | Removes button one by one
Ctrl+Alt+r | Removes all buttons from shell toolbar
Ctrl+c | Copy selected file(s) / folder(s) in to Clipboard
Ctrl+x | Cut selected file(s) / folder(s) in to Clipboard
Ctrl+v | Paste from Clipboard
Ctrl+a | Select all files / folders
Shift+Ctrl+a | Selects only files
Shift+Ctrl+d | Deselect's selected files & folders
Del | Deletes selected file(s) / folder(s)
F2 | Rename file / folder
F5 | Refresh file / folder / Thumbnail view

Viewer 4.0 - Shortcuts for Full Screen view

Up | Selects previous file and displays it
Down | Selects next file and displays it
Esc | Closes window

Viewer 4.0 - Slide Show - Shortcuts for Main window

Esc
Stops the Show


Main

Viewer - Main
File menu:
- New -> Folder - Creates new folder
- Shell -> Open / Edit - Does Shell open or Shell Edit for known file
- Properties - Shows properties for selected file(s), folder(s) etc.
- Exit - Ends Viewer -program
Edit menu:
- Cut - Selected file(s) or folder(s) are marked for cutting
- Copy - Selected file(s) or folder(s) are marked for copying
- Paste - Pasting file(s) or folder(s) in to selected folder
- Delete - Deletes file(s) or folder(s)
- Rename - Rename file or folder
- Select All - Selects all files & folders
- Select All Files - Selects only files
- Deselect All - Deselect's selected files & folders
Tools menu:
- Favorites - Displays Favorites window
- Slide Show - Starts Slide Show program with selected folder
- Options - Show options window
Help menu:
- Viewer Help - Displays this help
- About - Displays about window

Current Filter - Shows currently selected filter
Note: Custom Filter must be started with * or . No mixing combinations are allowed ex. *.jpg|.psd

Cut - Selected file(s) or folder(s) are marked for cutting
Copy - Selected file(s) or folder(s) are marked for copying
Paste - Pasting file(s) or folder(s) in to selected folder
Refresh - Refresh file list
Add Button - Add folder in to shell toolbar
Remove Button(s) - Removes button one by one or selected from arrow removes all buttons from shell toolbar

Select folder to display files in file list or Thumbview. Preview image is cleared every time when changing folder
Selected file is displayed in preview. You can also sort file list by header. Be aware, sorting file list for ex. by dimensions is slow compared to sorting list by Name

Right click in folder view brings pop-up where you can view history of visited folders

Right click in file list view brings pop-up where you can create folder, Refresh file list or go back and forward

Add to Favorites - Adds selected files in to Favorites
Favorites - displays Favorites window
Slide Show - Starts Slide Show program with selected folder
Compare Images - Displays Compare window and loads two selected images in to Compare window. This button is enabled only when two image files are selected

Here you can switch between Preview and Thumbview

Right click in Thumbview brings pop-up where you can create folder, Refresh thumbnails, Reload thumbnail or go back and forward

Right click in Preview image brings pop-up where you can set wallpaper (requires JPEG image) or Rotate image 90 degrees to left / 270 degrees to right

Rotate 90 ° - Rotates Preview image 90 ° to left
Rotate 270 ° - Rotates Preview image 270 ° to right
- Note: You cannot save rotated images
Refresh Thumbnails - Refreshes thumbnails
Reload Thumbnail - Reloads selected thumbnail

Status Bar displays following information:
- How many files are selected and total amount of size
- Total Objects: xxx (xxx,xxx KB) shows total amount of files and space taken in KB,MB,GB etc, Note: this calculates all files not only image files
- Loaded in: time that takes entire image to show up in preview. For ex. 40 MB image (16384 x 8192x24bit tif) takes about 8,5 seconds to load
- Fourth and Third panel displays selected file name
- xxx / xxx images loaded (xxx,xxx KB) shows "real time situation" about how many thumbnails is already loaded in to Thumbview
- Progress Bar+Percent shows "real time situation" about how many thumbnails is already loaded in to Thumbview

You can drag & drop your favorite folders to Shell Toolbar. It displays dragged folder as shortcut. You can also drag & drop files to shortcut so then those files are copied or moved in to folder like in explorer
- Note: maximum is 20 shortcuts

When you click for ex. Flowers button it automatically goes to that folder and displays contents


Favorites

Viewer - Favorites
Load Favorites - Loads VFL-file (Viewer Favorites List -file)
Save Favorites - Saves VFL-file
Up / Down - Changes selected image(s) order
When selecting image in Favorites it will be displayed in Preview
Note: Enter - Displays selected picture in full screen view
Clear All - Clears list
Clear Selection - Clears selected image from the list. Not the actual image file
Slide Show - Saves list in to CustomShow.txt and launches Slide Show -program. Slide Show -program displays that list in the Custom Show
Close - Closes Favorites window
Right click in list brings pop-up window, so you can load list or save list


Compare

Viewer - Compare

Compare - Makes basic file compare and if two files are same it displays text "Files are identical" and if not it displays "Files are not identical"


Wallpaper

Viewer - Wallpaper
Set Wallpaper - Sets wallpaper according mode selection and closes this window


Full Screen

Viewer - Full Screen
Rotate 90 ° - Rotates image 90 ° to left
Rotate 270 ° - Rotates image 270 ° to right
- Note: You cannot save rotated images
Shrink To Fit, Original Size and Full Screen View - Changes window mode
- Shrink To Fit - Fits image to window
- Original Size - Displays image in natural size.
- Full Screen View - Leaves only mouse cursor visible
Color choice - Changes background color
Slider - Zooms image: 1% steps, when in Shrink To Fit -mode or Full Screen View+Shrink To Fit -mode

Position - xxx:xxx shows mouse cursor position when left button is held down
Zoom: xxx % shows current zoom factor
Name.ext - (xxx x xxx) shows current image name and size


Options

Viewer - Options
Border | Lets you choose from different kinds of thumbnail borders: - None - Raised - DoubleRaised - Sunken - DoubleSunken - Bumbed - Etched - Framed
Border only on images | Draws border over thumbnail image
Hide captions | Hides file names
Thumbnail Details | Shows Thumbnail size, File size and Date / Time
Show detailed hint | Shows same information what Thumbnail Details does, when mouse is over image
Show small icon | Shows icon in upper right corner within thumbnail.
Show XL icons (WinXP-only feature) | Shows XL icons (48x48)
Use ShellExtraction | It is used to let the shell extract and create the thumbnail. Image files what is supported by Viewer or a shell extension is shown as a thumbnail
Use Subsampling | Resize's thumbnails smoothly without loss of image quality
Load all thumbnails at once | Loads all thumbnails at once
Load optimal settings | Optimal settings for maximum thumbnail extraction speed and rendering
Border Size | Sets thumbnails border width
Width | Reflects the real pixel size of the thumbnail width
Height | Reflects the real pixel size of the thumbnail height
H Spacing | Represents the true pixel space between thumbnails in horizontally
V Spacing | Represents the true pixel space between thumbnails in vertically
Highlight | Controls highlightning of image files : thNone, thSingleColor and thMultipleColors. In thMultipleColors you can change color for every known image file format

Load the thumbnail cache from disk | Thumbnail cache is retrieved from disk and automatically regenerated by itself. It will load only the thumbnails that are not yet created
Save the thumbnail cache to disk
Compressed | Activates the on-the-fly cache compression system
Ascending process | Allows ascending or descending sort of the thread cache processing list. When this is checked the top files in the list are thumbnailed first
Clear Cache | Clears Cache-folder
Browsing Folder | Sets Storage Type between Browsing Folder and Central Folder. Browsing Folder saves cache file in to thumbnailed folder. Central Folder saves cache files in the Viewer setup folder ex. C:\Program Files\Viewer\Cache

Reset Startup To | Resets Startup to selected folder in current session
Ok and Save | Saves "Reset Startup To" choice
Global Settings for File List (Optimal) | Sets Global Settings to file list. This will set Auto Fit Columns and Persistent Columns on
Auto Fit Columns in File List | Fits file list columns according file name width etc
Persistent Columns in File List | Shows every folder its own column selection and columns width
Note: Column selection and widths are saved in to ViewerColumnStates.ini

Change Mode In Startup To | Sets Full Screen view according with these selections: - Shrink To Fit - Original Size - Full Screen View
Change Background Color To | Sets Full Screen view background color


Main

Slide Show - Main
Style - Specifies the transition effect that will be used. There is 150 transitional effects that the program changes during show
Turn - Changes style one by one
Random - Changes style randomly
Step - Determines the amount of change in Progress in automatic transition
Delay - Determines the amount of delay in milliseconds before showing the next image of the transition
Current Image: xxx.ext shows currently showing image
Next Image: xxx.ext shows next showed image

Auto Change Image - Determines automatic or manual image transition
Turn - Changes images one by one
Random - Changes images randomly
Show the next image after xxx seconds - Determines time between image transition
Clear Previous Image - Determines whether previous image is cleared before new image is shown

Current Folder - Shows chosen folder what to be used during show
Select Folder - You can browse folder that contains images. Note: Select Folder is disabled during show

Custom Show - Displays list of images what to be shown
Apply - Makes list of Custom Show images. Without clicking Apply, when show is started what is chosen in Browse -> Current Folder, those images is shown in the show

Load Custom Show - Loads Custom Show list from VFL file
Save Custom Show - Saves Custom Show list to VFL file
Clear Custom Show - Clears Custom Show list and deletes CustomShow.txt file

Start Show - Starts the show, mode change, Browse folder, Custom Show -> Apply during show is disabled
Stop Show - Stops running show
Full Screen Mode - Leaves only mouse cursor visible
Normal Mode - Switches back everything what was hidden in Full Screen Mode
Viewer Help - Displays this html help
About - Shows about window
Exit - Ends Slide Show -program


System Requirements
ü Celeron 300Mhz or better
ü 128 MB RAM or more
ü 10 MB of hard disk space or more
ü Windows 98 (SE), Windows 2000 Pro, Windows XP Home / Pro
ü Internet Explorer 5 or better installed
ü SVGA (800 x 600) with minimum 256 colors


Key Features
 Previous Top
Explorer style file handling with customizable headers

Full screen View

Favorites

Thumbnail Browser

Wallpaper set capability (JPEG only)

Slide Show with Custom Show

Shell Tool Bar for organizing images

Image Rotate

Image Compare

Zoom

Support for all major graphic formats including BMP, JPEG, JPEG 2000, GIF, PNG, PCX, TIFF, WMF and TGA